/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2006, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
function trimString(str, len) {
	if (str.length > len) {
		str = str.substring(0, len - 3);
		str += '...';
	}
	return str;
}

// Cross platform openURL
function openURL(url, target) {
	// Cross platform open URL
	WL.Client.openURL(decodeURI(url), target);
}

//WLAlert uses WL.SimpleDialog for a cross-platform alert() implementation
function WLAlert(txt) {
    WL.SimpleDialog.show('Worklight Starter', txt, [{text : 'OK'}]);
}