/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2006, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
feedTitleMaxLen = 48;

function afterInitEnv() {
	WL.OptionsMenu.init();
	WL.OptionsMenu.addItem('tab1', function() {selectTab('#feedsWrapper');}, Messages.tabFeed, {image: 'images/feed.png'});
	WL.OptionsMenu.addItem('tab2', function() {selectTab('#aboutTab');}, Messages.tabAbout, {image: 'images/about.png'});
	WL.OptionsMenu.addItem('tab3', function() {loadFeeds();}, Messages.reload, {image : 'images/reload.png'});
	
	document.getElementById('tab1').winControl.icon = 'bullets';
	document.getElementById('tab2').winControl.icon = 'globe';
	document.getElementById('tab3').winControl.icon = 'refresh';
}

function backToFeeds() {
	selectTab(FEEDS_TAB);
}

// Extends common selectTab()
function afterSelectTab(tabId) {
	switch (tabId) {
	case FEEDS_TAB:
		$('#about').hide();
		WL.App.resetBackButton();
		break;
	case FEEDS_DESCRIPTION_TAB:
		$('#backToFeeds').hide();
		WL.App.overrideBackButton(backToFeeds);
		break;
	case ABOUT_TAB:
		$('#backToFeeds').hide();
		WL.App.resetBackButton();
		break;
	}
}