/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2006, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
feedTitleMaxLen = 34;

function selectTab(tabId, item) {
	switch (tabId) {
	case FEEDS_TAB:
		$('#rssLink').addClass('selected');
		$('#aboutLink').removeClass('selected');
		displayFeedsTab();
		window.scrollTo(0, 0);
		$('#about').hide();
		break;
	case FEEDS_DESCRIPTION_TAB:
		$('#rssLink').addClass('selected');
		$('#aboutLink').removeClass('selected');
		displayFeedDescriptionTab(item);
		$('#backToFeeds').hide();
		window.scrollTo(0, 0);
		break;
	case ABOUT_TAB:
		$('#aboutLink').addClass('selected');
		$('#rssLink').removeClass('selected');
		this.displayAboutTab();
		$('#backToFeeds').hide();
		window.scrollTo(0, 0);
		break;
	}
	showOnlyOneTab(tabId);
}

function addTabs() {
	var rss, about;
	rss = $('<a/>', {'id' : 'rssLink', 'class' : 'selected'}).html(Messages.tabFeed);
	rss.click(function(){
		selectTab(FEEDS_TAB);
	});
	about = $('<a/>', {'id' : 'aboutLink'}).html(Messages.aboutTabTitle);
	about.click(function(){
		selectTab(ABOUT_TAB);
	});
	$('#tabBar').append(rss);
	$('#tabBar').append(about);
}

function beforeInitEnv() {
	addTabs();
}

function displayFeedsTab(){
	
}